Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.subLayout
Class SubLayoutDecorator

    java.lang.Object
      edu.uci.ics.jung.visualization.LayoutDecorator
          edu.uci.ics.jung.visualization.subLayout.SubLayoutDecorator

All Implemented Interfaces:
  ChangeEventSupport, Layout, VertexLocationFunction

public class SubLayoutDecorator
extends LayoutDecorator

Extends the base decorator class and overrides methods to cause the location methods to check with the sublayouts for location information

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected Collection` | `subLayouts`

Fields inherited from class edu.uci.ics.jung.visualization.LayoutDecorator
`changeSupport, delegate`

Constructor Summary
`SubLayoutDecorator(Layout delegate)`

Method Summary
`void` | `addSubLayout(SubLayout subLayout)`
`void` | `forceMove(Vertex picked, double x, double y)` Forces a node to be moved to location x,y
`Point2D` | `getLocation(ArchetypeVertex v)`
`protected Point2D` | `getLocationInSubLayout(ArchetypeVertex v)`
`void` | `removeAllSubLayouts()`
`boolean` | `removeSubLayout(SubLayout subLayout)`

Methods inherited from class edu.uci.ics.jung.visualization.LayoutDecorator
`addChangeListener, advancePositions, applyFilter, fireStateChanged, getChangeListeners, getCurrentSize, getDelegate, getGraph, getStatus, getVertex, getVertex, getVertexIterator, getVisibleEdges, getVisibleVertices, getX, getY, incrementsAreDone, initialize, isIncremental, isLocked, lockVertex, removeChangeListener, resize, restart, setDelegate, unlockVertex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subLayouts

    protected final Collection subLayouts

Constructor Detail

### SubLayoutDecorator

    public SubLayoutDecorator(Layout delegate)

Method Detail

### addSubLayout

    public void addSubLayout(SubLayout subLayout)

### removeSubLayout

    public boolean removeSubLayout(SubLayout subLayout)

### removeAllSubLayouts

    public void removeAllSubLayouts()

### getLocationInSubLayout

    protected Point2D getLocationInSubLayout(ArchetypeVertex v)

### getLocation

    public Point2D getLocation(ArchetypeVertex v)

  Specified by:
    `getLocation` in interface `Layout`
  Overrides:
    `getLocation` in class `LayoutDecorator`
  See Also:
    `Layout.getLocation(edu.uci.ics.jung.graph.ArchetypeVertex)`

### forceMove

    public void forceMove(Vertex picked,
                          double x,
                          double y)

  Description copied from interface: `Layout`
  Forces a node to be moved to location x,y

  Specified by:
    `forceMove` in interface `Layout`
  Overrides:
    `forceMove` in class `LayoutDecorator`
  See Also:
    `Layout.forceMove(edu.uci.ics.jung.graph.Vertex, double, double)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD